@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300;400;500;600;700;800;900&amp;family=Montserrat:wght@300;400;500;600;700;800;900&amp;display=swap');
.cresup-main {
    position: relative;
    width: 100%;
    max-width: 930px;
    overflow: hidden;
    box-sizing: border-box;
    margin: 0 auto;
    line-height: 1.4;
    background-color: #fff;
    color: #1d1d1b;
    font-family: "Roboto Condensed", Arial, sans-serif;
    font-weight: 400;
    font-size: 17px;
}
.cresup-main * {
    box-sizing: border-box;
}
.cresup-main *::selection {
    background-color: rgba(0, 0, 0, 0.141);
}
.cresup-main img::selection {
    background-color: transparent!important;
}
.cresup-container {
    padding: 40px;
    box-sizing: border-box;
}
.cresup-img {
    max-width: 100%;
    height: auto;
    display: block;
}
.cresup-title {
    font-family: "Roboto Condensed", Arial, sans-serif;
    font-weight: 700;
    font-size: 38px;
    line-height: 1;
    text-transform: uppercase;
    margin: 0;
    color: #000;
}
.cresup-text {
    font-family: "Roboto Condensed", Arial, sans-serif;
    font-weight: 400;
    font-size: 22px;
    line-height: 1;
    margin: 0;
    color: #000;
}
.cresup-text--lg {
    font-weight: 400;
    font-size: 28px;
}
.cresup-text--small {
    font-weight: 400;
    font-size: 16px;
}
.cresup-text--strong {
    text-transform: uppercase;
    font-weight: 700;
}
.cresup-badge {
    color: #fff;
    text-transform: uppercase;
    font-size: 38px;
    font-weight: 700;
    background-color: #b7a375;
    padding: 4px 7px;
    line-height: 1;
    text-align: center;
}


/* Top */
.cresup-top {
    display: grid;
    grid-template-columns: 1fr 323px 1fr;
    padding: 0 0 0 0;
    box-sizing: border-box;
    position: relative;
    z-index: 1;
}
.cresup-top__center {
    padding-top: 56px;
}
.cresup-top__right {
    padding-top: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 30px;
    padding-right: 20px;
    padding-left: 20px;
}
.cresup-top__title {
    position: relative;
    box-sizing: border-box;
    padding: 20px 0 20px 25px;
    font-size: 38px;
    margin-right: -20px;
    line-height: 1.15;
    letter-spacing: -1px;
}
.cresup-top__title:after {
    content: '';
    position: absolute;
    width: 120%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: -1;
    background-color: #d6c3b3;
    animation: shadowtop 15s linear 0s infinite normal none;
}
.cresup-top__logo {
    animation: logotop 4s ease 2s infinite normal none;
}
.cresup-top__fot {
    max-width: 100%;
}
.cresup-top__pack {
    margin-right: -20px;
    position: relative;
    right: 0;
    min-width: 222%;
    align-self: flex-end;
    /* animation: wiggle 5.5s ease-in-out infinite; */
    /* animation-delay: 1s; */
}



/* Technology */
.cresup-technology {
    text-align: center;
}
.cresup-technology__title {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    margin-bottom: 40px;
    align-items: center;
}
.cresup-technology__img {
    animation: logo 4s ease 3s infinite normal none;
    margin-left: auto;
    margin-right: auto;
}



/* Steps */
.cresup-steps {
    background-color: #d6c3b3;
}
.cresup-step {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    justify-items: center;
}
.cresup-step .cresup-img {
    transition: ease 0.4s all;
}
.cresup-step:hover .cresup-img {
    transform: scale(1.05);
}
.cresup-step2 {
    margin-bottom: -100px;
}
.cresup-step__content {
    display: flex;
    flex-direction: column;
    text-align: center;
    max-width: 380px;
    position: relative;
    z-index: 2;
}
.cresup-step__content1 {
    max-width: 380px;
}
.cresup-step__content2 {
    max-width: 420px;
    margin-bottom: 100px;
}
.cresup-step__content3 {
    max-width: 420px;
    margin-top: 50px;
}
.cresup-step__title {
    color: #5c5d62;
    display: flex;
    align-items: center;
    flex-direction: column;
    text-align: center;
    margin-bottom: 20px;
    row-gap: 10px;
    font-size: 80px;
}
.cresup-step__number {
    animation: wiggle 5.5s ease-in-out infinite;
}
.cresup-step__number2 {
    animation-delay: 1s;
}
.cresup-step__number3 {
    animation-delay: 2s;
}
.cresup-step__title .cresup-badge {
    font-size: 40px;
    animation: logo 4s ease 2s infinite normal none;
}
.cresup-step__text {
    color: #5c5d62;
    font-weight: 300;
}
.cresup-step__text .cresup-text--strong {
    font-size: 30px;
    margin-bottom: 10px;
    display: block;
}

/* Video */
.cresup-video {
    padding-bottom: 0;
}
.cresup-video__title {
    text-align: center;
}
.cresup-video__wrap {
    padding: 0 30px;
    position: relative;
    background-color: #d6c3b3;
    margin-top: 60px;
}
.cresup-video__wrap .cresup-img {
    position: absolute;
}
.cresup-video__wrap .cresup-blob1 {
    left: -30px;
    bottom: 20px;
}
.cresup-video__wrap .cresup-blob2 {
    right: -30px;
    bottom: -20px;
}
.cresup-video__iframe {
    width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
    margin-top: -30px;
    margin-bottom: 30px;
    box-shadow: 0 3px 10px #b19882;
    z-index: 1;
    position: relative;
}
.cresup-video__info {
    text-align: center;
    margin-top: 40px;
}


/* Colors */
.cresup-colors__title {
    display: flex;
    justify-self: center;
}
.cresup-colors__list {
    background-color: #d6c3b3;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    column-gap: 15px;
    row-gap: 30px;
    padding-bottom: 0;
}
.cresup-color {
    text-decoration: none;
    text-align: center;
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    max-width: 150px;
    width: 100%;
    align-items: center;
}
.cresup-color .cresup-text {
    color: #54565b;
}
.cresup-color__img {
    background: linear-gradient(90deg, #ecd5b2, #faf3ea, #ecd5b2);
    border-radius: 200px;
    padding: 0 7px 7px 0px;
    box-shadow: 3px 3px 10px #b19882;
    overflow: hidden;
    transition: ease 0.4s all;
}
.cresup-color .cresup-img {
    transition: ease 0.4s all;
}
.cresup-color:hover .cresup-img {
    transform: scale(1.3);
}
.cresup-color:hover {
    text-decoration: none;
}


/* Footer */
.cresup-footer {
    background-color: #d6c3b3;
}
.cresup-footer .cresup-title {
    font-size: 38px;
    text-align: center;
    animation: logo 4s ease 2s infinite normal none;
}


/* Animations */
@keyframes wiggle {
    0%, 7% {transform: rotateZ(0);}
    15% {transform: rotateZ(-13deg);}
    20% {transform: rotateZ(9deg);}
    25% {transform: rotateZ(-10deg);}
    30% {transform: rotateZ(7deg);}
    35% {transform: rotateZ(-2deg);}
    40%, 100% {transform: rotateZ(0);}
}
@keyframes shadowtop {
    0% {
        width: 120%;
    }
    50% {
        width: 180%;
    }
    100% {
        width: 120%;
    }
}
@keyframes logo {
    0% {
        transform: scale(1);
    }
    25% {
        transform: scale(1.1);
    }
    50%, 100% {
        transform: scale(1);
    }
}
@keyframes logotop {
    0% {
        transform: scale(1);
    }
    25% {
        transform: scale(1.1);
    }
    50%, 100% {
        transform: scale(1);
    }
}

/* Responsive */
@media (max-width: 1280px) and (min-width: 769px) {
    .cresup-container {
        padding-left: 3vw;
        padding-right: 3vw;
        padding-top: 4.3%;
        padding-bottom: 4.3%;
    }
    .cresup-title {
        font-size: 3.3vw;
    }
    .cresup-top {
        padding-top: 0!important;
        padding-bottom: 0!important;
        padding-left: 0;
        padding-right: 0;
        grid-template-columns: 1fr 25vw 1fr;
    }
    .cresup-top__title {
        padding: 6.5% 0 6.5% 1.7vw;
        font-size: 3vw!important;
    }
    .cresup-top__center {
        padding-top: 13.7%;
    }
    .cresup-top__right {
        padding-left: 2vw;
        padding-right: 2vw;
        padding-top: 13%;
        row-gap: 8%;
        justify-content: space-between;
    }
    .cresup-top__logo {
        width: 14vw;
    }
    .cresup-top__pack {
        /* width: 16.5vw; */
        margin-right: -2vw;
        min-width: 241%;
    }
    .cresup-badge {
        font-size: 3.7vw;
    }
    .cresup-step__title .cresup-badge {
        font-size: 3vw;
    }
    .cresup-step__text .cresup-text--strong {
        font-size: 2.5vw;
    }
    .cresup-text--lg {
        font-size: 2.2vw;
    }
    .cresup-colors__title {
        font-size: 3vw;
    }
    .cresup-colors__list {
        column-gap: 1vw;
    }
    .cresup-color {
        max-width: 14vw;
    }
}
@media (max-width: 769px) {
    .cresup-container {
        padding-left: 3vw;
        padding-right: 3vw;
        padding-top: 4.3%;
        padding-bottom: 4.3%;
    }
    .cresup-title {
        font-size: 5.15vw;
    }
    .cresup-badge {
        font-size: 5.15vw;
    }
    .cresup-text--lg {
        font-size: 22px;
    }
    .cresup-check {
        min-width: 32px;
        max-width: 32px;
    }
    .cresup-top {
        padding-top: 0!important;
        padding-bottom: 0!important;
        padding-left: 0;
        padding-right: 0;
        grid-template-columns: 1fr 39vw 1fr;
    }
    .cresup-top__title {
        padding: 6.5% 0 6.5% 2.7vw;
        font-size: 5.15vw!important;
    }
    .cresup-top__center {
        padding-top: 42%;
    }
    .cresup-top__right {
        padding-left: 3vw;
        padding-right: 3vw;
        padding-top: 13%;
        row-gap: 8%;
        justify-content: space-between;
    }
    .cresup-top__logo {
        width: 14vw;
    }
    .cresup-top__pack {
        width: 16.5vw;
    }
    .cresup-video__wrap {
        padding: 0 5.8vw;
    }
    .cresup-video__wrap .cresup-blob1 {
        left: -2vw;
        width: 20vw;
    }
    .cresup-video__wrap .cresup-blob2 {
        right: -3vw;
        width: 26vw;
    }
    .cresup-step {
        padding-left: 3vw;
        padding-right: 3vw;
    }
    .cresup-step:first-child {
        padding-top: 3%;
    }
    .cresup-step:last-child {
        padding-bottom: 3%;
    }
    .cresup-step2 {
        margin-bottom: -11.5%;
    }    
    .cresup-step__content2 {
        margin-bottom: 25%;
    }
    .cresup-step__content3 {
        margin-top: 12%;
    }
    .cresup-step__title {
        font-size: 80px;
    }
    .cresup-step .cresup-text--lg {
        font-size: 28px;
    }
    .cresup-video {
        padding-bottom: 0;
    }
    .cresup-colors__list {
        padding-bottom: 0;
    }
}
@media (max-width: 768px) {
    .cresup-technology__img {
        max-width: 73vw;
    }
    .cresup-steps {
        row-gap: 0;
        display: flex;
        flex-direction: column;
        grid-template-columns: 2fr 3fr;
        padding: 0;
    }
    .cresup-step__img {
        order: -1;
        aspect-ratio: 3/4;
        object-fit: contain;
    }
    .cresup-step2 {
        margin-top: 0;
        margin-bottom: 0;
    }    
    .cresup-step__content2 {
        margin-bottom: 0;
    }
    .cresup-step__content3 {
        margin-top: 0;
    }
    .cresup-step .cresup-text--lg {
        font-size: 24px;
    }
    .cresup-step__title .cresup-badge {
        font-size: 5.15vw;
    }
    .cresup-colors__list {
        column-gap: 5vw;
    }    
    .cresup-color {
        max-width: 15vw;
        min-width: 100px;
    }
    .cresup-color .cresup-img {
        width: 100%;
    }
}
@media (max-width: 620px) {
    .cresup-container {
        padding-top: 30px;
        padding-bottom: 30px;
    }
    .cresup-technology__title {
        margin-bottom: 20px;
    }
    .cresup-video {
        padding-bottom: 0;
    }
    .cresup-video__wrap {
        padding: 10px;
        margin-top: 40px;
    }
    .cresup-video__iframe {
        margin-bottom: 0;
    }
    .cresup-video__wrap .cresup-blob1 {
        display: none;
    }
    .cresup-video__wrap .cresup-blob2 {
        display: none;
    }
    .cresup-video__info {
        margin-top: 20px;
    }
    .cresup-colors__list {
        padding-bottom: 0;
    }
    .cresup-footer .cresup-title {
        font-size: 34px;
    }    
}
@media (max-width: 520px) {
    .cresup-steps {
        row-gap: 40px;
    }
    .cresup-step {
        display: flex;
        flex-direction: column;
        row-gap: 20px;
    }
    .cresup-step__img {
        aspect-ratio: unset;
        max-width: 70vw;
    }
}

@media (max-width: 420px) {
    .cresup-title {
        font-size: 22px;
    }
    .cresup-badge, .cresup-step__title .cresup-badge {
        font-size: 28px;
    }
    .cresup-step__title {
        font-size: 50px;
    }
    .cresup-colors__list {
        column-gap: 4vw;
    }    
    .cresup-color {
        min-width: 90px;
    }
}
